Get usage by collection
curl --request GET \
--url https://{region}.affinda.com/v3/collections/{identifier}/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/collections/{identifier}/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/collections/{identifier}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"month": "2023-07",
"count": 100
}
]{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Deprecated End Points
Get usage by collection
deprecated
Return monthly credits consumption of a collection.
Deprecated: use GET /v3/usage?organization={id}&document_type={id} instead. The new endpoint returns a unified daily series and uses the modern “document type” terminology.
GET
/
v3
/
collections
/
{identifier}
/
usage
Get usage by collection
curl --request GET \
--url https://{region}.affinda.com/v3/collections/{identifier}/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/collections/{identifier}/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/collections/{identifier}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"month": "2023-07",
"count": 100
}
]{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Collection's identifier Uniquely identify a collection.
Example:
"mEFayXdO"
Query Parameters
Start date of the period to retrieve. Format: YYYY-MM
Example:
"2023-07"
End date of the period to retrieve. Format: YYYY-MM
Example:
"2023-10"
Was this page helpful?
⌘I